Inform about custom field's name maximum length

2009-04-06 17:49 - Daniel Stoyanov

Status: Closed Start date: 2009-04-06

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Custom field's name is limited to 30 chars, but there is no message that informs the user about that (no information text). Also when

longer value is submitted the error message "Name is too long" doesn't specify the maximum length.

Possible solution : put information text under the field or change the error message to something like "Name is too long. Maximum 30

characters allowed".

Redmine revision: 2659

Associated revisions

Revision 2666 - 2009-04-07 19:50 - Jean-Philippe Lang

Inform about minimum/maximum field lengths in error messages (#3128).

History

#1 - 2009-04-07 19:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2666 for english locale. Error messages are now:

too_long: "is too long (maximum is {{count}} characters)" 

too_short: "is too short (minimum is {{count}} characters)" 
